implicit none
integer :: Pi_i
real :: Pi_r
double precision :: Pi_d,Pi_dd

Pi_i=3.141592653589793238
Pi_r=3.141592653589793238
Pi_d=3.141592653589793238
! pour l'exemple ci-dessus, comme on a rien dit, 
! 3.141592653589793238 est d'abord interprete comme un real, 
! puis mis dans le double, donc les derniere decimales sont perdues
Pi_dd=3.141592653589793238d0
!d0 veut dire 10 puissance 0, mais pour un double (e0 pour un real)

print *, pi_i
print *, pi_r
print *, pi_d
print *, pi_dd

end
